-------------------------------------------------------------------------------
-- MrTrader 
--
-- Suite of tools for the avid crafter.
--
-- Send suggestions, comments, and bugs to user@zedonline.net
-------------------------------------------------------------------------------

local L = LibStub("AceLocale-3.0"):GetLocale("MrTrader", true);

-----
-- MRTToolsAndCooldown - Plugin to provide cooldown and tool information for skills in a single line
--
-- Interfaces:
--   SkillWindow_InfoLine - Provides a line of info text for a recipe
-----
MRTToolsAndCooldown = {};

function MRTToolsAndCooldown:OnInitialize()
	-- Add ourselves to MrTrader plugins
	self.interfaces = { "SkillWindow_InfoLine" };
	self.name = L["Tools and Cooldown"];
	self.id = "MRTrader_ToolsAndCooldown";

	MRTUIUtils_RegisterPlugin(self);
end

function MRTToolsAndCooldown:SkillWindow_InfoLine(tradeskillInfo)
	local result = nil;

	if( tradeskillInfo.skillCooldown ~= nil ) then
		result = "|cffff0000" .. COOLDOWN_REMAINING .. " " .. SecondsToTime(tradeskillInfo.skillCooldown) .. "|r";
	end
	if( tradeskillInfo.skillCooldown == nil and tradeskillInfo.skillTools ~= nil and getn(tradeskillInfo.skillTools) > 0 ) then
		result = REQUIRES_LABEL .. " " .. BuildColoredListString(unpack(tradeskillInfo.skillTools));
	end
	
	return result;
end